### Method

# GLib MainContext wait

deprecated: 2.58

#### Declaration

    gboolean
    g_main_context_wait (
      GMainContext* context,
      GCond* cond,
      GMutex* mutex
    )

#### Description

Tries to become the owner of the specified context, as with g_main_context_acquire(). But if another thread is the owner, atomically drop `mutex` and wait on `cond` until that owner releases ownership or until `cond` is signaled, then try again (once) to become the owner.

Deprecated since: 2.58

Use `g_main_context_is_owner()` and separate locking instead.

#### Parameters

`cond`

  Type: `GCond`

  A condition variable.

  The data is owned by the caller of the method.

`mutex`

  Type: `GMutex`

  A mutex, currently held.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the operation succeeded, and this thread is now the owner of `context`.